Bug 229014 - Not possible to graphically select proper timezone for Houston, San Antonio, Dallas
Not possible to graphically select proper timezone for Houston, San Antonio, ...
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Depends On:
  Show dependency treegraph
Reported: 2007-02-16 10:19 EST by Jason Tibbitts
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-28 16:29:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Tibbitts 2007-02-16 10:19:00 EST
When selecting the timezone in the installer by clicking on Texas in the nice
map, neither Houston nor San Antonio or Dallas are shown.  The nearest city that
can be selected is Monterrey, and the nearest non-Mexican city which can be
selected is Havana.

Since the US daylight savings time changes have not been adopted by Mexico,
Monterrey is a completely improper choice.  Yet Chicago, which is generally the
best choice for a major city in the US/Central time zone, simply does not appear
on the zoomed map.

I believe this has some relevance to bug 109708.  I know that tzdata will not
diverge from upstream, but in this case the lack of any city in proximity to the
fourth, seventh and ninth largest cities in the United States seems to have
created a rather big problem that will manifest itself in about three weeks.

This can be worked around by not actually clicking on Texas or the southern
portion of the country in the overview map and instead clicking elsewhere in the
country, but even then placing the cursor over any of these major cities gives
you either Monterrey or somewhere in Indiana.  Indiana is a rather confusing
place for time zone selection in any case and I doubt many residents of Texas
are familiar with just which Indiana counties are actually in the Central time
zone.  The only surefire way to know you're picking the right thing is to choose
America/Chicago from the massive dropdown list.

That is all so severely counterintuitive that several people I just asked to
come in and try it could not get a proper timezone for Houston, even with
guidance.  I know this issue has around for many, many years now and Texans have
simply been living with the indignity, but it's only with the DST changes that
it's become rather a problem.  Is there any chance at all of getting it fixed?
Comment 1 Jason Tibbitts 2007-02-16 10:34:50 EST
Someone just pointed me to bug 130434, which I read to some dismay.  This could
be considered a duplicate, or maybe not.

Note that I'm not complaining that some of the largest cities in the nation
aren't represented.  I could care less.  The problem is that the installer has a
selection method which goes out of its way to get you to pick the wrong thing,
and this is about to actually break peoples' systems systems (or at least get
them to present the wrong time, which is pretty broken) in about three weeks.
Comment 2 Chris Lumens 2007-02-21 13:27:49 EST
anaconda uses system-config-date's map and map arrow stuff here to select the
closest city to where the mouse cursor currently is.  While I agree this is a
problem, I don't know what we can possibly do about it except encode some sort
of boundary information which is nasty and bound to get us into trouble with
those disputed borders.

As an alternative, you can still use the combo box on the timezone screen to
select a more correct city in your country.
Comment 3 Jason Tibbitts 2007-02-21 14:17:41 EST
Just a note that if you click on the map to zoom it in (and you have the
misfortune of clicking on Texas) the zoomed map does have a combo box, but it
has a reduced number of choices and does not include any cities which are in the
US/Central time zone.  For some reason it includes New York but not Chicago.  I
haven't found a way to zoom out of the map except by going back to the previous
installation step and then going forward again.

It seems to me that the most reasonable solution would be to let me dispense
with choosing cities and just let me pick US/Central from a list somewhere. 
Tying everything to cities just invites this kind of problem, along with all of
the "My city is not on the map" complaints.
Comment 4 Nils Philippsen 2007-04-28 16:29:32 EDT
Current Rawhide packages have an improved zoom function which isn't restricted
to pre-defined regions. Please confirm that the problem is fixed in current
(i.e. Fedroa 7 test 4 or later) packages.

Note You need to log in before you can comment on or make changes to this bug.